[SciPy-Dev] weave for Python3.3 ?

Helmut Jarausch jarausch@igpm.rwth-aachen...
Wed Jan 23 04:54:25 CST 2013


On Tue, 22 Jan 2013 19:59:33 +0100, Ralf Gommers wrote:

> On Tue, Jan 22, 2013 at 6:25 PM, Pauli Virtanen <pav@iki.fi> wrote:
> 
>> 22.01.2013 14:12, Helmut Jarausch kirjoitti:
>> > has anybody started to update weave for Python3.3?
>> > It's not a simple 2to3 call.
>>
>> Nobody, as far as I know.
> 
> 
> And if you're considering working on that: think really hard first about
> why you wouldn't move to Cython instead.
> 

Yes, I prefer Cython myself. But weave is still part of the GIT version of 
SciPy. And that's the reason why the installation of SciPy fails for 
Python3.3 since the weave parts cannot be (pre-)compiled during install.

What about removing weave altogether from SciPy?

Thanks,
Helmut




More information about the SciPy-Dev mailing list